
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>BlogEngine.Net架构与源代码分析系列part2：业务对象 / iVAN</title>

    <meta name="description" content="BlogEngine.Net架构与源代码分析系列part2：业务对象 共同的父类BusinessBase 上篇文章朋友的评论给了我很大的动力写这个系列的文章,看来大家都比较关注这个系列.为了后续文章做一个铺垫,我在这篇文章的前半部分讲解一下BlogEngine.Net的整体架构,后半部分主要是对于BusinessBase类的分析. 下载源代码以后打开解决方案,我们发现从项目的组织结构上BlogEngine.Net分成两个项目:一个是BlogEngine.Core,顾名思意,它就是BlogEngine.Net的核心逻辑层.所有的业务逻辑和一些功能都在这个项目中体现,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">BlogEngine.Net架构与源代码分析系列part2：业务对象</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>共同的父类BusinessBase</p>
<p>上篇文章朋友的评论给了我很大的动力写这个系列的文章，看来大家都比较关注这个系列。为了后续文章做一个铺垫，我在这篇文章的前半部分讲解一下BlogEngine.Net的整体架构，后半部分主要是对于BusinessBase类的分析。</p>
<p>下载源代码以后打开解决方案，我们发现从项目的组织结构上BlogEngine.Net分成两个项目：一个是BlogEngine.Core，顾名思意，它就是BlogEngine.Net的核心逻辑层。所有的业务逻辑和一些功能都在这个项目中体现，实际上这个核心业务层中也有数据访问的一部分，那就是Provider模式。在BlogEngine.Net中，关系数据库或XML等的作用只有一个,那就是存储数据，BlogEngine.Net的业务对象的ID生成是由核心层控制的，而不是用数据存储部分生成的，因为这样可以支持更多的数据源。它不同于很多其他业务系统，数据库里面可能有很多存储过程，触发器，函数等来完成一定的业务运算和数据处理。在BlogEngine.Net中，我们甚至可以使用一个.txt文件来自己开发一个Provider给BlogEngine.Net使用，方法很简单，只要实现BlogProvider（BlogEngine.Net提供），MembershipProvider和RoleProvider就可以了，实际上BlogEngine.Net也在很大程度上利用了.Net本身的经典模型。另外的一个项目是一个站点，主要就是具体的Web实现，但是具体的功能都是调用核心层来完成的。</p>
<p>实际上刚开始看BlogEngine.Net的源代码时我也很难入手，不知道从哪里看起，找不到入口的地方。其实也难怪，官方提供的资料大都是关于使用和开发扩展的，社区里找到的东西也不是自己最想要的。研究了一段时间以后我发现整个BlogEngine.Net都在围绕这BusinessBase这个基类展开，其它的类都是为它提供服务或接收它的消息，例如Provider，Extension等。BusinessBase是所有业务类的基类，里面封装了很多业务类共有的特征。它的子类有：</p>
<p>AuthorProfile：用户的Profile的封装。</p>
<p>Page：这个类实际上是对应着BlogEngine.Net中的一篇静态文章，page和post具体区别不是很重要，感兴趣的朋友可以参照一下官方提供的说明。</p>
<p>Post：在BlogEngine.Net应用最多的一个类，代表作者提交的一篇文章。</p>
<p>Category：文章分类，一篇文章可以属于多个分类,分类之上还可以有父分类。</p>
<p>下图是他们的继承关系:</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDk0MDA5MjU5NC0wLmpwZw==.jpg"></p>
<p>图中的IPublishable接口我会在以后的文章中做详细的讲解。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-08 00:47:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/net/" title="net">net</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e7%ab%a0/" title="文章">文章</a>, <a href="https://www.iamivan.net/tag/%e4%b8%9a%e5%8a%a1/" title="业务">业务</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>BlogEngine.Net架构与源代码分析系列part2：业务对象的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK77JWb.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part1：开篇介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近我要开始这个系列了,这是我的第一个系列.关于BlogEngine.Net我想说的是,它设计的真的很棒,代码简洁但是功能很多,真是麻雀虽小,五脏俱全啊,而且具有了很多Web2.0的特征,甚至它的每一行代码都值得我们去研究一下,它的开发团队很棒.实际上很多国外的个人Blog都是采用BlogEngine.Net加上自定义皮肤实现的,如果您是一个Blog的开发者,这更是您的必备参考! 很多兄弟都推荐BlogEngine.Net看一看,甚至www.asp.net也把它放在了很重要的位置.前一阶段我仔细			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB22ONb.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part8：扩展</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DataStore分析 本系列的第四篇文章我给大家做了关于BlogEngine.Net全局配置的分析.在这篇文章里我将会对BlogEngine.Net中比较经典的部分DataStore做一个简单的分析,这个DataStore主要完成了BlogEngine.Net三大扩展特性(Extension,Widget,Theme)的数据存储部分,它提供了一个扩展特性统一的存储模型.DataStore是建立在Provider存储(本系列第三篇文章中介绍过)的上层,本文研究的内容会和后面讲到的扩展部分的文章有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M622noM.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part15：总结篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文是这个系列的总结篇,在这篇文章里,仅从我个人的角度发表一下对BlogEngine.Net的一些看法.内容包括BlogEngine.Net的优缺点,性能问题,如何阅读源代码等. 重申一下写这个系列的目的 1.使自己更加深入的理解BlogEngine.Net的架构,对BlogEngine.Net的代码能够更深刻的掌握. 2.给那些想学习BlogEngine.Net的源代码,但是不知道从何开始或者比较迷茫的朋友们一个学习指南. 3.在博客园上永远的保存下来,方便你我查看.因为这方面的资料实在太少了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEEwob.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part11：开发扩展（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自定义Theme 个性化的主题是一个完善的Blog系统中所必备的,同时也是一个亮点.在这篇文章里我将给大家展示一下BlogEngine.Net的第三个开发特性,那就是自定义的Theme.本文的重点放在BlogEngine.Net的开发规范和实现原理上.如果您对BlogEngine.Net的架构很了解的话,那么开发一个自己的Theme是一件很简单的事情,如果您不是很了解,那么你也可以按照本文讲述的规范开发出一个自定义的Theme来. BlogEngine.Net中的Theme 在BlogEngin			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2yyqvz.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part4：Blog全局设置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				BlogSettings 这已经是本系列的第四篇了,以前我多数时间是看文章,自己写起来才感觉到当博主不容易啊,所以我们无论评论也好,阅读也好,都要尊重博主的劳动成果.闲话少说,在这篇文章中我们将对BlogEngine.Net的全局配置进行一下分析与探讨.关于配置这一部分单独拿出来做一篇文章实在有些牵强,但是我总觉得这个配置部分比较独立,而且BlogEngine.Net的设计和实现都有很多可以参考的地方. 在一个企业级应用系统中,对一些系统全局参数进行配置是必不可少的,那么我们是怎么处理这些配置的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ779Db.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part13：实现分析（上）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HttpHandlers与HttpModules 这已经是系列的第13篇了,实际上到现在为止您应该对BlogEngine.Net的整体设计有了一定的把握,对部分实现细节有了比较深刻的认识,在阅读BlogEngine.Net时希望坚持到最后,并把握住宏观,深入到微观.本文将详细介绍BlogEngine.Net中的HttpHandlers与HttpModules,主要说明它们要实现的功能以及如何使用,并对几个必要的HttpHandler或HttpModule进行比较细致的分析. HttpHandle			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZOOe5b.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part9：开发扩展（上）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Extension与管理上的实现 从这篇文章开始的连续三篇文章我将向大家展示BlogEngine.Net中的三大开发扩展特性,它们分别是Extension,Widget和Theme.程序员可以在符合一定标准条件下开发自己的扩展,然后将扩展像插件一样(Plug'n play)与BlogEngine.Net进行集成,来达到个性化的应用.本文将详细介绍第一种扩展Extension的开发标准,管理部分介绍等. 声明一下 上一篇文章的回复中有人提到希望我写一下自己的看法和BlogEngine.Net的优缺			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRyygab.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part7：Web2&period;0特性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Pingback&amp;Trackback 今天这篇文章主要向大家讲述一下Blog系统中应用最多的,具有Web2.0特性的,也是一种标准化的--Pingback&amp;Trackback.分析一下BlogEngine.Net提供的比较全面的Pingback&amp;Trackback支持.本文内容相对来说比较独立,如果您对整个系列感兴趣请参照这里. Pingback&amp;Trackback参考 简单地说,Pingback&amp;Trackback是博客在链接.引用其他博客内容时通知对方博客的一种			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0PPwjM.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part5：对象搜索</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				IPublishable与Search 从这篇文章开始我会引入一些领域上的知识或者给出一些参考文章来供大家阅读,我们对这些领域上的知识没有必要深挖,只要大概了解一下就可以了,这对于我们分析BlogEngine.Net会有很大的帮助.在这篇文章中我主要向大家介绍一下BlogEngine.Net的搜索部分的实现以及支持的相应标准等. 先用自己的话解释一下什么是开放搜索 开放搜索应该也是一种标准了,现在它越来越流行起来,记得我第一次见到这个东东是在codeproject中.大家一定注意到了IE7右上角			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd643b.html" rel="bookmark" class="title">mysql 字段定义 对 大小比较的影响</a>
					<div>
						Sql代码   SELECT max(a) FROM zanbao.new_table;      CREATE TABLE `new_table2` (     `HD` varchar(8) NO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMl44VM.html" rel="bookmark" class="title">php学习之运算符相关概念</a>
					<div>
						复制代码 代码如下: &lt;?php /*运算符号(PHP)操作符号 * * 按运算符号功能分为: * 一.算术运算符 + - * / % ++ -- * 二.字符串运算符 . 连接运算符 * 三. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zelw0p.html" rel="bookmark" class="title">几种优秀的开发ASP的工具</a>
					<div>
						大家好! 今天给大家介绍几种优秀的开发ASP的工具. 1,Microsoft FrontPage:以HTML页面为基础,不但可以对站点进行可视化编程,还可以管理整个网站平台. 2,Macromedia ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKGXZb.html" rel="bookmark" class="title">WinForm中类似WebForm中的CheckBoxList控件</a>
					<div>
						web|控件 前些天,在.Net技术的论坛里面看到了有个帖子,我好像记得是怎么实现WinForm中类似WebForm中的CheckBoxList控件,我简单的实现了那样的一个控件 首先,你得建立一个控 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnmvkz.html" rel="bookmark" class="title">Struts中关于用户权限限定的建议</a>
					<div>
						关于web系统的权限限定问题,可能有很多的办法,我在这里说一下自己的一些小技巧,起到抛砖引玉的作用,忘各位指正: 系统中一个角色包含多个用户,角色和用户之间最好采用一对多,以免发生混乱: 自系统初起的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M910A4M.html" rel="bookmark" class="title">ASP&period;NET 2&period;0数据教程之七十三：保护连接字符串及其它设置信息</a>
					<div>
						返回&quot;ASP.NET 2.0数据教程目录&quot; 导言: ASP.NET应用程序的设置信息通常都存储在一个名为Web.config 的XML文件里.在教程的前面部分我们已经好几次修改过W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKdP8p.html" rel="bookmark" class="title">python统计cpu利用率的方法</a>
					<div>
						  本文实例讲述了python统计cpu利用率的方法.分享给大家供大家参考.具体实现方法如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm79Wab.html" rel="bookmark" class="title">PowerPoint版面设计提高效率九个妙招</a>
					<div>
						一个成功的PowerPoint演示,除了内容要精彩之外,漂亮的页面设计也很重要,这样就能在第一时间吸引观众,带给他们好感.下面的这9条小技巧,可提高你在设计PowerPoint幻灯片时的效率,助你一臂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8WOOb.html" rel="bookmark" class="title">IE浏览器几个不常见的快捷键</a>
					<div>
						  使用IE浏览器浏览网页使用鼠标就可以完成大部分的操作了.但是如果想要提高浏览速度.效率的话,就需要用好IE的快捷键了.一般的快捷键大家也知道了,小编说的是几个不为大家所熟知的. Shift+Tab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3VdWp.html" rel="bookmark" class="title">开心手机恢复大师扫描数据出现错误提示代码2&sol;255&sol;112</a>
					<div>
						  很多用户在使用开心手机恢复大师时,会遇到一部分自己无法解决的问题--系统会提示您错误代码.以下罗列了部分的错误代码(以及处理方法): 错误代码2: 1.检查数据是否可以正常使用; 2.更换数据线接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLayZvz.html" rel="bookmark" class="title">如何为网卡配置IP地址</a>
					<div>
						  在XP系统中,想给网卡配置一个IP地址,不知道该如何进行操作? 1.首先要保证网卡的安装是正确的,并安装好合适的网卡驱动程序. 2.右击&quot;网上邻居&quot;,选择&quot;属性&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3vWmM.html" rel="bookmark" class="title">更新被拒绝，因为您当前分支的最新提交落后于其对应的远程分支</a>
					<div>
						提示:更新被拒绝,因为您当前分支的最新提交落后于其对应的远程分支. 提示:再次推送前,先与远程变更合并(如 'git pull ...').详见 提示:'git push --help' 中的 'No ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNd8lz.html" rel="bookmark" class="title">C语言之链表</a>
					<div>
						这两天在复习C语言的知识,为了给下个阶段学习OC做准备,以下的代码的编译运行环境是Xcode5.0版本,写篇博文把昨天复习的C语言有关链表的知识给大家分享一下,以下是小菜自己总结的内容,代码也是按照自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrJ5ZM.html" rel="bookmark" class="title">vc&plus;&plus;-VC提升什么权限才能获得文件的完全控制权</a>
					<div>
						问题描述 VC提升什么权限才能获得文件的完全控制权 是这个意思,在Win8.1下,我用fopen()只能在除C和D盘下才能创建文件,我用AdjustTokenPrivileges()提升了SE_DEB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZZdYM.html" rel="bookmark" class="title">引擎-Mysql-cluster集群配置</a>
					<div>
						问题描述 Mysql-cluster集群配置 SQL节点需要ndbcluster引擎,那数据节点要不要配置一个ndbcluster引擎					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKlRXb.html" rel="bookmark" class="title">FTP服务器详解 文件共享存储必经之路</a>
					<div>
						FTP服务器(File Transfer Protocol Server)是在互联网上提供文件存储和访问服务的计算机,它们依照FTP协议提供服务.FTP服务器常常被用来进行文件共享和传输,是互联网领域 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRZ4wb.html" rel="bookmark" class="title">简析中国三大招聘网站优劣</a>
					<div>
						80后的大部分网民应该都听说过,智联招聘.前程无忧和中华英才网一度被人们称为中国三大招聘网站.这三家之中,前程无忧在2004年时就已经在美国上市:中华英才网则在2013年初时被爱尔兰尚龙集团收购:而智 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8A36Pz.html" rel="bookmark" class="title">模块</a>
					<div>
						问题描述 模块不需要孤立存在,可以通过???来避免代码重复,这几样就可以避免创建在其他模块的功能之上的模块.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgYYNM.html" rel="bookmark" class="title">Hibernate的Annotation版Hello world实例&lowbar;java</a>
					<div>
						本文实例讲述了Hibernate的Annotation版Hello world实现方法.分享给大家供大家参考,具体如下: 需要引入的包:hibernate-commons-annotations-4. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Rr66z.html" rel="bookmark" class="title">Linux虚拟机 JAVA升级后&comma;java error&colon;could not create the java virtual machine</a>
					<div>
						问题描述 Linux虚拟机JAVA升级后,重新设定启动的JAVA版本后.查看java版本java--version,报以下错误,javaerror:couldnotcreatethejavavirtu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN5ndM.html" rel="bookmark" class="title">云计算大会上，大佬给创业者带来哪些福利？</a>
					<div>
						      如果你的创业项目涉及数据存储和交换,那么云服务和云计算一定是你绕不开的基础服务.今天,云计算领域最大的盛会--云计算大会在北京国家会议中心召开,各路大佬齐聚,让雷锋网(公众号:雷锋网)编辑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgN1dM.html" rel="bookmark" class="title">Xcode7&period;1中导入&num;import &amp;amp&semi;amp&semi;lt&semi;CoreGraphics&sol;CoreGraphics&period;h&amp;amp&semi;amp&semi;gt&semi;  &num;import &amp;amp&semi;amp&semi;lt&semi;UIKit&sol;UIKit&period;h&amp;amp&semi;amp&semi;gt&semi;  等导入出错</a>
					<div>
						问题描述 解决方案 每个项目导入UIKit这个头文件都会报这个错吗					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOAg8b.html" rel="bookmark" class="title">php正则表达式的模式修正符和逆向引用使用介绍&lowbar;正则表达式</a>
					<div>
						正则表达式的匹配先后顺序: 1.模式单元 2.重复匹配 ? * + {} 3.边界限定 ^ $ b B 4.模式选择 | 模式修正符: 模式修正符是标记在整个模式之外的. i :模式中的字符将同时匹配 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNkwep.html" rel="bookmark" class="title">将ACCESS数据库迁移到SQLSERVER数据库两种方法&lpar;图文详解&rpar;&lowbar;MsSql</a>
					<div>
						ACCESS2000文件 用ACCESS2007打开,并迁移到SQLSERVER2005里  打开ACCESS2007的数据库工具 方法一:使用ACCESS2007自带的数据库迁移工具 1.打开ACC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE9nZz.html" rel="bookmark" class="title">纯CSS打造的导航菜单&lpar;附jquery版&rpar;&lowbar;jquery</a>
					<div>
						方式一:直接编写代码实现 效果如下: 代码如下: 复制代码 代码如下: &lt;html&gt; &lt;head&gt; &lt;title&gt;无需表格的菜单&lt;/title&gt; &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKNVkz.html" rel="bookmark" class="title">js将json格式内容转换成对象的方法&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: {&quot;options&quot;:&quot;[{\&quot;text\&quot;:\&quot;王家湾\&quot;,\&quot;value\&quot;:\&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44BlNz.html" rel="bookmark" class="title">对学Oracle数据库初学者的开场篇&lowbar;oracle</a>
					<div>
						前言:因为项目原因,近期开始学习Oracle数据库.Oracle是目前最流行的数据库之一,功能强大,性能卓越,相对的学习的难度还是不小.我打算将自己的学习过程记录下来,做个积累,方便自己和其他的学习者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9j57Kp.html" rel="bookmark" class="title">用独立服务器的站长常犯的错误</a>
					<div>
						问题描述 1.除非你确认自己掌握了,否则不要去试WIN2003的防火墙WIN2003防火墙打开后,默认是禁止3389端口的,有的朋友是改了端口却忘记了在防火墙里开放新的端口.有的朋友则人根本不会改端口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWY6Op.html" rel="bookmark" class="title">android自定义toast&lpar;widget开发&rpar;示例&lowbar;Android</a>
					<div>
						1.Toast控件: 通过查看源代码,发现Toast里面实现的原理是通过服务Context.LAYOUT_INFLATER_SERVICE获取一个LayoutInflater布局管理器,从而获取一个V ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWQ81M.html" rel="bookmark" class="title">探讨我国宽带无线接入技术</a>
					<div>
						宽带无线接入技术是很值得我们去研究的, 于是我研究了一下我国宽带无线接入技术的发展现状,在这里拿出来和大家分享一下,希望对大家有用.当前,中国宽带无线接入技术产业在整体上呈现出理性务实.健康有序的发展 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
